import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { environment } from 'src/environments/environment';
// import { CommonFunctions } from 'src/app/core/common/common-functions';
// import { environment } from 'src/environments/environment';




@Injectable({
    providedIn: 'root'
})

export class SeasonSettingService {
    constructor(private http: HttpClient) { }
    GetAllSeason() {
        return this.http.get(environment.APIBaseUrl + "/SeasonContract/GetAllSeason")
    };
    UpdateStatus(formData) {
        return this.http.post(environment.APIBaseUrl + "/SeasonContract/UpdateSeasonStatus", formData)
    };
    SaveSeason(formData) {
        return this.http.post(environment.APIBaseUrl + "/SeasonContract/SaveSeason", formData)
    };
    UpdateSeason(formData) {
        return this.http.post(environment.APIBaseUrl + "/SeasonContract/UpdateSeason", formData)
    };
    GetContractSeasonById(id) {
        return this.http.get(environment.APIBaseUrl + "/SeasonContract/GetContractSeasonById/"+  id)
    };

}